/*=======================================================*/
/*  TVMFORE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVforeonly  set whether task can run in background    */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVforeonly(OBJECT taskwin,int foreonly)
{
   static BYTE fore_stream[] = { S_MANAGER(1), MS_FOREONLY } ;
   static BYTE back_stream[] = { S_MANAGER(1), MS_NOFOREONLY } ;

   TVwin_stream(taskwin, (foreonly) ? fore_stream : back_stream) ;
}

/* End of TVMFORE.C */
